Subject: bug#78381: 30.1.50; Show a stack trace if an error occurs in safe hooks

From: Daniel Mendler <[email-masked]>
Date: Sun, 11 May 2025 21:30:38 +0200

Hello!

This is a feature request to improve the situation around debugging safe
hooks. Right now if an error occurs in a safe hook occurs, only a brief
message is shown (safe_run_hooks_error in keyboard.c, "Error in %s (%S):
%S"). Would it be possible to dump a stack trace to the *Messages*
buffer? The problem is likely to avoid flooding the *Messages* buffer.
On the other hand, hooks which throw errors are disabled anyway?

Thank you!

Daniel